SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001761SiT!menupublic2012-01-19 18:512013-07-06 17:18
Reporterpaulvh 
Assigned Topaulh 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001761: Cosmetic Menu choices
DescriptionCustomers -> Sites -> Browse
change to
Customers -> Sites -> Browse Sites

Customers -> Contacts -> Browse
change to
Customers -> Contacts -> Browse Contacts


Customers -> Maintenance -> Browse
change to
Customers -> Maintenance -> Browse Contracts

Diff in Additional Information for lib/strings.inc.php
Additional Information***************
*** 122,124 ****
  $hmenu[2010] = $hmenu[2010] +
! array (10=> array ( 'perm'=> 11, 'name'=> $strBrowse, 'url'=>"{$CONFIG['application_webpath']}sites.php"),
                         20=> array ( 'perm'=> 2, 'name'=> $strNewSite, 'url'=>"{$CONFIG['application_webpath']}site_add.php?action=showform")
--- 122,124 ----
  $hmenu[2010] = $hmenu[2010] +
! array (10=> array ( 'perm'=> 11, 'name'=> $strBrowseSites, 'url'=>"{$CONFIG['application_webpath']}sites.php?search_string=*&displayinactive=false"),
                         20=> array ( 'perm'=> 2, 'name'=> $strNewSite, 'url'=>"{$CONFIG['application_webpath']}site_add.php?action=showform")
***************
*** 128,130 ****
  $hmenu[2020] = $hmenu[2020] +
! array (10=> array ( 'perm'=> 11, 'name'=> $strBrowse, 'url'=>"{$CONFIG['application_webpath']}contacts.php?search_string=A"),
                         20=> array ( 'perm'=> 1, 'name'=> $strNewContact, 'url'=>"{$CONFIG['application_webpath']}contact_add.php?action=showform")
--- 128,130 ----
  $hmenu[2020] = $hmenu[2020] +
! array (10=> array ( 'perm'=> 11, 'name'=> $strBrowseContacts, 'url'=>"{$CONFIG['application_webpath']}contacts.php?search_string=*"),
                         20=> array ( 'perm'=> 1, 'name'=> $strNewContact, 'url'=>"{$CONFIG['application_webpath']}contact_add.php?action=showform")
***************
*** 134,136 ****
  $hmenu[2030] = $hmenu[2030] +
! array (10=> array ( 'perm'=> 19, 'name'=> $strBrowse, 'url'=>"{$CONFIG['application_webpath']}contracts.php?search_string=A"),
                         20=> array ( 'perm'=> 39, 'name'=> $strNewContract, 'url'=>"{$CONFIG['application_webpath']}contract_add.php?action=showform"),
--- 134,136 ----
  $hmenu[2030] = $hmenu[2030] +
! array (10=> array ( 'perm'=> 19, 'name'=> $strBrowseContracts, 'url'=>"{$CONFIG['application_webpath']}contracts.php?search_string=*"),
                         20=> array ( 'perm'=> 39, 'name'=> $strNewContract, 'url'=>"{$CONFIG['application_webpath']}contract_add.php?action=showform"),
Tagspatch
Attached Files

- Relationships

-  Notes
User avatar (0004413)
paulh (administrator)
2012-01-22 12:12

Thanks Paulvh.

I agree as we have "New Contact" under the contact menu we should be consistent and have "Browse Contact" (or remove Contact from the new link)
User avatar (0004693)
paulh (administrator)
2013-02-04 20:44

Thanks again paulvh this has been merged into the next major release in git commit 8d6baca

- Issue History
Date Modified Username Field Change
2012-01-19 18:51 paulvh New Issue
2012-01-19 18:52 paulvh Tag Attached: patch
2012-01-22 12:12 paulh Note Added: 0004413
2012-01-22 12:12 paulh Status new => confirmed
2013-02-04 20:41 paulh Assigned To => paulh
2013-02-04 20:41 paulh Status confirmed => assigned
2013-02-04 20:44 paulh Note Added: 0004693
2013-02-04 20:44 paulh Status assigned => resolved
2013-02-04 20:44 paulh Resolution open => fixed
2013-02-04 20:44 paulh Fixed in Version => Current GIT
2013-07-06 17:18 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker